minetest.register_craft({
   output = 'default:stone_with_coal',
   type = 'shapeless',
   recipe = {'default:stone', 'default:coal_lump'}
})

minetest.register_craft({
   output = 'default:stone_with_copper',
   type = 'shapeless',
   recipe = {'default:stone', 'default:copper_lump'}
})

minetest.register_craft({
   output = 'default:stone_with_diamond',
   type = 'shapeless',
   recipe = {'default:stone', 'default:diamond'}
})

minetest.register_craft({
   output = 'default:stone_with_gold',
   type = 'shapeless',
   recipe = {'default:stone', 'default:gold_lump'}
})

minetest.register_craft({
   output = 'default:stone_with_iron',
   type = 'shapeless',
   recipe = {'default:stone', 'default:iron_lump'}
})

minetest.register_craft({
   output = 'default:stone_with_mese',
   type = 'shapeless',
   recipe = {'default:stone', 'default:mese_crystal'}
})

minetest.register_craft({
   output = 'default:stone_with_tin',
   type = 'shapeless',
   recipe = {'default:stone', 'default:tin_lump'}
})

minetest.register_craft({
   output = 'epic:bloodstone_ore',
   type = 'shapeless',
   recipe = {'default:stone', 'epic:bloodstone'}
})

minetest.register_craft({
   output = 'epic:desert_stone_with_coal',
   type = 'shapeless',
   recipe = {'default:desert_stone', 'default:coal_lump'}
})

minetest.register_craft({
   output = 'epic:desert_stone_with_iron',
   type = 'shapeless',
   recipe = {'default:desert_stone', 'default:iron_lump'}
})

minetest.register_craft({
   output = 'epic:desert_stone_with_nitre',
   type = 'shapeless',
   recipe = {'default:desert_stone', 'epic:potassium_nitrate'}
})

minetest.register_craft({
   output = 'epic:metal_lead',
   type = 'shapeless',
   recipe = {'default:stone', 'epic:lead_lump'}
})

minetest.register_craft({
   output = 'epic:mineral_sulfur',
   type = 'shapeless',
   recipe = {'default:stone', 'epic:mineral_sulfur'}
})

minetest.register_craft({
   output = 'asteroid:copperore',
   type = 'shapeless',
   recipe = {'asteroid:redstone', 'default:copper_lump'}
})

minetest.register_craft({
   output = 'asteroid:diamondore',
   type = 'shapeless',
   recipe = {'asteroid:redstone', 'default:diamond'}
})

minetest.register_craft({
   output = 'asteroid:goldore',
   type = 'shapeless',
   recipe = {'asteroid:redstone', 'default:gold_lump'}
})

minetest.register_craft({
   output = 'asteroid:ironore',
   type = 'shapeless',
   recipe = {'asteroid:redstone', 'default:iron_lump'}
})

minetest.register_craft({
   output = 'asteroid:meseore',
   type = 'shapeless',
   recipe = {'asteroid:redstone', 'default:mese_crystal'}
})

minetest.register_craft({
   output = 'asteroid:redstone_thennium_ore',
   type = 'shapeless',
   recipe = {'asteroid:redstone', 'epic:thennium'}
})

minetest.register_craft({
   output = 'asteroid:stone_thennium_ore',
   type = 'shapeless',
   recipe = {'asteroid:stone', 'epic:thennium'}
})
